class Light {

    int color;
    long OnTime;
    long OffTime;
    int ledState;
    unsigned long previousMillis;

  public:

  Light(int col, long on, long off) {
    color = col;
    OnTime = on;
    OffTime = off;
    ledState = LOW;
    previousMillis = 0;
  }

  void Update() {
    unsigned long currentMillis = millis();
    if ((ledState == HIGH) && (currentMillis - previousMillis >= OnTime)) {
      ledState = LOW;
      previousMillis = currentMillis;
      for(int i = 0; i <10; i++){
        CircuitPlayground.setPixelColor(i, 0, 0, 0);
      }    
    }
    else if ((ledState == LOW) && (currentMillis - previousMillis >= OffTime)) {
      ledState = HIGH;
      previousMillis = currentMillis;
      for(int i = 0; i <10; i++){
        CircuitPlayground.setPixelColor(i, CircuitPlayground.colorWheel(color));
      }    
      
    }
  }
};
